# SkirentalWebFrontend
Short description and motivation.

## Preconditions
### Install nodejs (minimum Version 8.11.3)
--> see https://github.com/creationix/nvm



### Install required packages
All following commands must be executed in "frontend"

```
npm install
```

### Run (for development)
```
ng serve
```

## Build
### Translation
First generate/update english translation file (PWD := frontend/):
`ng xi18n --output-path locale --i18n-locale en`
This command will create a file "messages.xlf" in src/locale

Then apply changes to `locale/messages.xlf` to other XLIFF files (e.g. `locale/messages.de.xlf`).

*Hint:* You can use for instance: http://doc.qt.io/qt-5/linguist-manager.html for managing translations

### Execute build task
Go back to root directory of `skirental_web_frontend`
Enter: `rake app:angular:build`

### Generate gem
1. Increment `lib/skirental_web_frontend/version.rb` (and version in package.json)
2. Exec `gem build skirental_web_frontend.gemspec`
3. Upload to gemserver.imhosting.de:3000

## Usage
How to use my plugin.

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'skirental_web_frontend'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install skirental_web_frontend
```

## Contributing
Contribution directions go here.

## License
The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
